Reply
Highlighted
Member
Posts: 1
Registered: ‎05-24-2017

Issue in new Release of AuthorizeNet 1.9.3

Hi All,

 

I got a mail from AuthorizeNet to upgrade TLS version from 1.0 to 1.2, and i downloaded the latest package of AuthorizeNet from NuGet i.e AuthorizeNet 1.9.3.

 

When i was trying to use this new .dll i was continously having issue as

 

: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. --->
 System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host

 

To resolve this problem i had to decompile this latest version and manually upgrade it to .Net 4.5 and SecurityProtocol to TLS1.2 from SSL3 and TLS1.0 (previouly it has support only for SSL3 and TLS1.0).

 

Thanks

Highlighted
Posts: 2,765
Topics: 57
Kudos: 248
Blog Posts: 67
Registered: ‎12-05-2011

Re: Issue in new Release of AuthorizeNet 1.9.3

Thank you for providing feedback.

 

Richard